ranges-append.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Iter::Ranges::Append< I, J >
| Range iterator for appending two range iterators More...
class | Gecode::Iter::Ranges::NaryAppend< I >
| Range iterator for appending arbitrarily many iterators. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.